#
# spec file for package purge-kernels-service
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           purge-kernels-service
Version:        0
Release:        9.5
Summary:        The service for removing old kernels when multiversion is enabled
License:        MIT
Source:         purge-kernels.service
Conflicts:      dracut < 049+git118
Provides:       dracut:/usr/lib/systemd/system/purge-kernels.service
Requires:       zypper(purge-kernels)
BuildRequires:  systemd-rpm-macros
BuildArch:      noarch

%description
This service runs zypper purge-kernels on boot after a kernel package was installed.

%prep

%build

%install
install -m 644 -D -t %{buildroot}/%{_unitdir}/ %{SOURCE0}

%pre
%service_add_pre purge-kernels.service

%post
%service_add_post purge-kernels.service

%preun
%service_del_preun purge-kernels.service

%postun
%service_del_postun purge-kernels.service

%files
%{_unitdir}/purge-kernels.service

%changelog
* Fri May 13 2022 Michal Suchanek <msuchanek@suse.com>
- Change service type to exec (boo#1198668).
* Thu May  6 2021 Michal Suchanek <msuchanek@suse.de>
- Add ZYPP_LOCK_TIMEOUT=-1 to keep waiting for the lock (boo#1184399).
* Wed May 27 2020 Michal Suchanek <msuchanek@suse.de>
- Add split provides for upgrade from old dracut (boo#1168727).
* Sun Mar  8 2020 Antoine Belvire <antoine.belvire@opensuse.org>
- Set build architecture to noarch.
* Mon Mar  2 2020 Michal Suchanek <msuchanek@suse.com>
- Clear do_purge_kernels with ExecStartPost rather than ExecStartPre (boo#1162163).
* Fri Jan 31 2020 Dominique Leuenberger <dimstar@opensuse.org>
- Fix typo in Summary.
* Fri Jan 24 2020 Michal Suchanek <msuchanek@suse.com>
- Fix zypper asking for confirmation in service (boo#1161620).
* Mon Jan 20 2020 Michal Suchanek <msuchanek@suse.de>
- Fix dracut version in conflicts.
* Fri Dec 13 2019 Michal Suchanek <msuchanek@suse.de>
- Intial package purge-kernels-service (jsc#SLE-10162, jsc#SLE-10465)
